Subject: bamboo
From: [email-masked] (camden)
Date: 12 May 1994 21:01:07 -0400
Newsgroups: bionet.plants

I called myself posting a question on bamboo several days ago and 
nothing happened. Is this a moderated group or did I botch the sending?

Will try again:

I have bamboo growing between my back fence and the paved alley. Do not 
know the species. Growing about ten years. Location in piedmont North 
Carolina. Just sprang up probably from a little ways up the alley. My 
question. Is it true that bamboo blooms after many years and then dies? 
With a guess at the species possibilities,  when is that likely to happen? 
Are there any signs? What time of the year? What do the blooms look like? 
How long do they last? 

Thanks again.

[email-masked]